# Nintendo DS instrument editor

the Nintendo DS instrument editor contains two tabs: Sample and Macros.

## Sample

for sample settings, see [the Sample instrument editor](sample.md).

## Macros

- **Volume**: volume sequence.
- **Arpeggio**: pitch sequence.
- **Duty**: pulse width sequence.
  - only in PSG channels.
- **Panning**: left/right balance sequence.
- **Pitch**: fine pitch.
- **Phase Reset**: trigger restart of waveform.
